{
  description = "System configuration for panacea";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    agenix.url = "github:ryantm/agenix";
    agenix.inputs.nixpkgs.follows = "nixpkgs";
    emacs-overlay.url = "github:nix-community/emacs-overlay";
    rnix-lsp.url = "github:nix-community/rnix-lsp";
  };

  outputs = inputs@{ self, nixpkgs, agenix, ... }:
    let
      system = "x86_64-linux";

      pkgs = import pkgs {
        inherit system;
        config.allowUnfree = true;
      };

      lib = nixpkgs.lib;

    in {
      nixosConfigurations.panacea = lib.nixosSystem {
        inherit system;
        modules = [ (import ./configuration.nix) agenix.nixosModules.age ];
      };
    };
}
